/*******************************************************************************
 *  
 * dev.h
 *
 * part of ext2 NT tools
 *
 * Copyright (C) Peeter Joot, 1997
 *
 * This file may be redistributed under the terms of the GNU Public License.
 ******************************************************************************/

#ifndef dev_h
#define dev_h

#include <windows.h>
#include "linux/ext2_fs.h"
#include "linux/types.h"

unsigned nt_raw_read(
	HANDLE dev, 
	LARGE_INTEGER disk_offset, 
	unsigned bytes, 
	char * buf);

int ext2_partitiondata(
	unsigned drivenum, 
	unsigned partition, 
	HANDLE * dev);

int check_super(
	HANDLE dev, 
	LARGE_INTEGER sb_offset, 
	struct ext2_super_block *sb);

typedef struct {
	char * name;
	int disk;
	int part;
	ino_t cwdino;		
	} e2cwd_t;

extern int cwdenv_lookup( e2cwd_t * cwd );

#endif
